public static interface FtpsEndpointBuilderFactory.FtpsBuilders
| Modifier and Type | Method and Description |
|---|---|
default FtpsEndpointBuilderFactory.FtpsEndpointBuilder |
ftps(String path)
FTPS (camel-ftp)
Upload and download files to/from FTP servers supporting the FTPS
protocol.
|
default FtpsEndpointBuilderFactory.FtpsEndpointBuilder |
ftps(String componentName,
String path)
FTPS (camel-ftp)
Upload and download files to/from FTP servers supporting the FTPS
protocol.
|
default FtpsEndpointBuilderFactory.FtpsEndpointBuilder ftps(String path)
ftps:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorypath - host:port/directoryNamedefault FtpsEndpointBuilderFactory.FtpsEndpointBuilder ftps(String componentName, String path)
ftps:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/directoryNameApache Camel